Bug 444443 (CVE-2008-2009) - CVE-2008-2009 vorbis: insufficient validation of Huffman tree causing memory corruption in _make_decode_tree()
Summary: CVE-2008-2009 vorbis: insufficient validation of Huffman tree causing memory ...
Status: CLOSED ERRATA
Alias: CVE-2008-2009
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=redhat,reported=20080404,publi...
Keywords: Security
Depends On: 444703
Blocks: 438125
TreeView+ depends on / blocked
 
Reported: 2008-04-28 13:42 UTC by Tomas Hoger
Modified: 2019-06-08 12:30 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-05-14 07:38:21 UTC


Attachments (Terms of Use)
Patch from Monty (xiphmont) (1.50 KB, patch)
2008-04-28 13:53 UTC, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0271 normal SHIPPED_LIVE Important: libvorbis security update 2008-05-14 07:35:55 UTC

Description Tomas Hoger 2008-04-28 13:42:36 UTC
Will Drewry of the Google Security Team created a set of fuzzed OGG test files
to test OGG Vorbis and Tremor implementations.  Some of them were causing memory
corruption and crash on old libvorbis versions (prior to 1.0).

Crash / corruption occurred in _make_decode_tree().  This function was removed
prior to the release of upstream version 1.0 in following changes:

https://trac.xiph.org/changeset/2959
https://trac.xiph.org/changeset/2960

Test files do not crash libvobis revision 2960 or later.

Comment 1 Tomas Hoger 2008-04-28 13:53:16 UTC
Created attachment 303976 [details]
Patch from Monty (xiphmont)

Patch adds _check_words, a dry-run variant of _make_words, that does performs
huffman tree validation early in the stream decoding.

Comment 2 Tomas Hoger 2008-04-29 09:15:15 UTC
Similar additional checks were committed to libvorbis trunk to reject
underpopulated Huffman trees early in the file parsing:

https://trac.xiph.org/changeset/14811


Comment 9 Tomas Hoger 2008-05-14 07:30:48 UTC
Lifting embargo.

Comment 10 Red Hat Product Security 2008-05-14 07:38:21 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0271.html




Note You need to log in before you can comment on or make changes to this bug.